Package com.fasterxml.jackson.annotation

# Class JsonFormat.Features

java.lang.Object
com.fasterxml.jackson.annotation.JsonFormat.Features

Enclosing class:
  `JsonFormat`

public static class JsonFormat.Features extends Object
Helper class that encapsulates information equivalent to `Boolean` valued `EnumMap`.

Since:
  2.6

## Method Summary

Modifier and Type
Method
Description
`static JsonFormat.Features`
`construct(JsonFormat f)`
`static JsonFormat.Features`
`construct(JsonFormat.Feature[] enabled, JsonFormat.Feature[] disabled)`
`static JsonFormat.Features`
`empty()`
`boolean`
`equals(Object o)`
`Boolean`
`get(JsonFormat.Feature f)`
`int`
`hashCode()`
`String`
`toString()`
`JsonFormat.Features`
`with(JsonFormat.Feature... features)`
`JsonFormat.Features`
`without(JsonFormat.Feature... features)`
`JsonFormat.Features`
`withOverrides(JsonFormat.Features overrides)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### empty

public static JsonFormat.Features empty()

### construct

public static JsonFormat.Features construct(JsonFormat f)

### construct

public static JsonFormat.Features construct(JsonFormat.Feature[] enabled, JsonFormat.Feature[] disabled)

### withOverrides

public JsonFormat.Features withOverrides(JsonFormat.Features overrides)

### with

public JsonFormat.Features with(JsonFormat.Feature... features)

### without

public JsonFormat.Features without(JsonFormat.Feature... features)

### get

public Boolean get(JsonFormat.Feature f)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`